<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Enums\OriginStatusType;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('banks', function (Blueprint $table) {
      $table->id();
      $table->string('code')->index();
      $table->string('name');
      $table->bigInteger('limit_transfer_amount')->nullable();
      $table->boolean('bi_fast')->default(false)->index();
      $table->string('status')->default(OriginStatusType::Active)->index();
      $table->softDeletes();
      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('banks');
  }
};
